### Hierarchy

- unknown
  - UnlockWalletRequest

## Index

### Constructors

- constructor

### Methods

- getPassword
- getTimeout
- serializeBinary
- setPassword
- setTimeout
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new UnlockWalletRequest(): UnlockWalletRequest

- Inherited from jspb.Message.constructor

  #### Returns UnlockWalletRequest

## Methods

### getPassword

- getPassword(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3678

  #### Returns string

### getTimeout

- getTimeout(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3681

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3684

  #### Returns Uint8Array

### setPassword

- setPassword(value: string): UnlockWalletRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3679

  #### Parameters

  - ##### value: string

  #### Returns UnlockWalletRequest

### setTimeout

- setTimeout(value: number): UnlockWalletRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3682

  #### Parameters

  - ##### value: number

  #### Returns UnlockWalletRequest

### toObject

- toObject(includeInstance?: boolean): UnlockWalletRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3685

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns UnlockWalletRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): UnlockWalletRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3688

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UnlockWalletRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UnlockWalletRequest, reader: BinaryReader): UnlockWalletRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3689

  #### Parameters

  - ##### message: UnlockWalletRequest

  - ##### reader: BinaryReader

  #### Returns UnlockWalletRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: UnlockWalletRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3687

  #### Parameters

  - ##### message: UnlockWalletRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: UnlockWalletRequest ): UnlockWalletRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3686

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UnlockWalletRequest

  #### Returns UnlockWalletRequest . AsObject

Generated using TypeDoc